Bug 246157 - libata set wrongly my disk on Promise Technology, Inc. PDC20265 PATA controler at speed UDMA33 ...
libata set wrongly my disk on Promise Technology, Inc. PDC20265 PATA controle...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-28 17:04 EDT by Jérôme Benoit
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-17 16:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (19.30 KB, text/plain)
2007-06-28 17:04 EDT, Jérôme Benoit
no flags Details

  None (edit)
Description Jérôme Benoit 2007-06-28 17:04:47 EDT
Description of problem: libata set wrongly my disk on Promise Technology, Inc.
PDC20265 PATA controler at speed UDMA33 ...

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. Having the hardware
2. Install and upgrade F7
Actual results:

dmesg output will fellow ...

Expected results:

Additional info:

Will have a look at pata_pdc202xx_old module source whenever i'll find some free
time ...

Comment 1 Jérôme Benoit 2007-06-28 17:04:47 EDT
Created attachment 158161 [details]
dmesg output
Comment 2 Jérôme Benoit 2007-07-17 08:08:52 EDT

I'm really experiencing some oddity with this driver (pata_pdc202xx_old) and the
new shiny libata ...

To fix the speed trouble, please cherry pick commit
a0ac38f16045f90dbbcd265b638cd7254c53aa65 in current linus git tree. 

I'm going to investigate further on my very few spare time for the other
trouble. At a first sight, it sounds like some sort of very hard to reproduce
random data corruption. My future tests will tell for sure ...

Comment 3 Chuck Ebbert 2007-07-17 11:07:16 EDT
The cable detect patch is already in kernel 2.6.22, and the next F7 kernel is
based on that.
Comment 4 Jérôme Benoit 2007-07-19 09:55:53 EDT
Ok, fine will test it ASAP instead of running my custom 2.6.21 kernel on theses box.

Any chance to push ALSA user space utilities version in sync with kernel version ? 

I will maybe open another bug for that but it's happening at every new kernel
version change :)

Comment 5 Christopher Brown 2007-09-17 16:12:58 EDT

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Comment 6 Jérôme Benoit 2007-09-17 16:40:10 EDT
It's resolved, since FC6 and F7 with 2.6.22.x kernel updates.

Can be closed AFAIC.
Comment 7 Christopher Brown 2007-09-17 16:50:03 EDT
Good to hear, closing then...


Note You need to log in before you can comment on or make changes to this bug.